Package: groovy.org.codenarc.rule.imports

## [Groovy] Class ImportFromSunPackagesRule

- groovy.org.codenarc.rule.imports.ImportFromSunPackagesRule

- Avoid importing anything from the 'sun.*' packages. These packages are not portable and are likely to change.

  Authors:
    'Hamlet D'Arcy'

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `def` | `addViolationForSunImport(org.codehaus.groovy.ast.ImportNode importNode, SourceCode sourceCode, List violations)`
    `` | `void` | `applyTo(SourceCode sourceCode, List violations)`

- - ### Property Detail

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### def addViolationForSunImport(org.codehaus.groovy.ast.ImportNode importNode, SourceCode sourceCode, List violations)

    - #### void applyTo(SourceCode sourceCode, List violations)